using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    public class Rule1044
    {
        private string id = "id";

        private string name = "name";

        // このプロパティは CA1044:AddGetter に違反しています。
        public string Id
        {
            set
            {
                this.id = value;
            }
        }

        // このプロパティは CA1044:MakeMoreAccessible に違反しています。
        public string Name
        {
            internal get
            {
                return this.name;
            }
            set
            {
                this.name = value;
            }
        }

        public override string ToString()
        {
            return this.id + Name;
        }
    }
}
